<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>TestNG:  Unit Test</title>
<style type="text/css">
table caption,table.info_table,table.param,table.passed,table.failed {margin-bottom:10px;border:1px solid #000099;border-collapse:collapse;empty-cells:show;}
table.info_table td,table.info_table th,table.param td,table.param th,table.passed td,table.passed th,table.failed td,table.failed th {
border:1px solid #000099;padding:.25em .5em .25em .5em
}
table.param th {vertical-align:bottom}
td.numi,th.numi,td.numi_attn {
text-align:right
}
tr.total td {font-weight:bold}
table caption {
text-align:center;font-weight:bold;
}
table.passed tr.stripe td,table tr.passedodd td {background-color: #00AA00;}
table.passed td,table tr.passedeven td {background-color: #33FF33;}
table.passed tr.stripe td,table tr.skippedodd td {background-color: #cccccc;}
table.passed td,table tr.skippedodd td {background-color: #dddddd;}
table.failed tr.stripe td,table tr.failedodd td,table.param td.numi_attn {background-color: #FF3333;}
table.failed td,table tr.failedeven td,table.param tr.stripe td.numi_attn {background-color: #DD0000;}
tr.stripe td,tr.stripe th {background-color: #E6EBF9;}
p.totop {font-size:85%;text-align:center;border-bottom:2px black solid}
div.shootout {padding:2em;border:3px #4854A8 solid}
</style>
</head>
<body>
<table cellspacing=0 cellpadding=0 class="param">
<tr><th>Test</th><th class="numi">Methods<br/>Passed</th><th class="numi">Scenarios<br/>Passed</th><th class="numi"># skipped</th><th class="numi"># failed</th><th class="numi">Total<br/>Time</th><th class="numi">Included<br/>Groups</th><th class="numi">Excluded<br/>Groups</th></tr>
<tr><td style="text-align:left;padding-right:2em">Annotation Demo</td><td class="numi">8</td><td class="numi">8</td><td class="numi">0</td><td class="numi">0</td><td class="numi">0.0 seconds</td><td class="numi"></td><td class="numi"></td></tr>
</table>
<a id="summary"></a>
<table cellspacing=0 cellpadding=0 class="passed">
<tr><th>Class</th><th>Method</th><th># of<br/>Scenarios</th><th>Start</th><th>Time<br/>(ms)</th></tr>
<tr><th colspan="4">Annotation Demo &#8212; passed</th></tr>
<tr class="passedodd"><td rowspan="4">codes.TestAnnotDemo01<td><a href="#m1"><b>test01</b>  </a></td><td class="numi">1</td><td>1561235207604</td><td class="numi">3</td></tr><tr class="passedodd"><td><a href="#m2"><b>test02</b>  </a></td><td class="numi">1</td><td>1561235207608</td><td class="numi">1</td></tr><tr class="passedodd"><td><a href="#m3"><b>test03</b>  </a></td><td class="numi">1</td><td>1561235207609</td><td class="numi">1</td></tr><tr class="passedodd"><td><a href="#m4"><b>test04</b>  </a></td><td class="numi">1</td><td>1561235207611</td><td class="numi">1</td></tr>
<tr class="passedeven"><td rowspan="4">codes.TestAnnotDemo2<td><a href="#m5"><b>test01</b>  </a></td><td class="numi">1</td><td>1561235207614</td><td class="numi">1</td></tr><tr class="passedeven"><td><a href="#m6"><b>test02</b>  </a></td><td class="numi">1</td><td>1561235207616</td><td class="numi">0</td></tr><tr class="passedeven"><td><a href="#m7"><b>test03</b>  </a></td><td class="numi">1</td><td>1561235207617</td><td class="numi">1</td></tr><tr class="passedeven"><td><a href="#m8"><b>test04</b>  </a></td><td class="numi">1</td><td>1561235207618</td><td class="numi">1</td></tr>
</table>
<h1>Annotation Demo</h1>
<a id="m1"></a><h2>codes.TestAnnotDemo01:test04</h2>
<p class="totop"><a href="#summary">back to summary</a></p>
<a id="m2"></a><h2>codes.TestAnnotDemo01:test02</h2>
<p class="totop"><a href="#summary">back to summary</a></p>
<a id="m3"></a><h2>codes.TestAnnotDemo2:test03</h2>
<p class="totop"><a href="#summary">back to summary</a></p>
<a id="m4"></a><h2>codes.TestAnnotDemo2:test02</h2>
<p class="totop"><a href="#summary">back to summary</a></p>
<a id="m5"></a><h2>codes.TestAnnotDemo2:test04</h2>
<p class="totop"><a href="#summary">back to summary</a></p>
<a id="m6"></a><h2>codes.TestAnnotDemo2:test01</h2>
<p class="totop"><a href="#summary">back to summary</a></p>
<a id="m7"></a><h2>codes.TestAnnotDemo01:test01</h2>
<p class="totop"><a href="#summary">back to summary</a></p>
<a id="m8"></a><h2>codes.TestAnnotDemo01:test03</h2>
<p class="totop"><a href="#summary">back to summary</a></p>
</body></html>
